package discord

import (
	"errors"

	"gitea.dwysokinski.me/twhelp/dcbot/internal/domain"
)

func messageFromError(err error) string {
	var userErr domain.UserError
	if !errors.As(err, &userErr) {
		return "something went wrong, please try again later"
	}
	return userErr.UserError()
}
