package domain_test

import (
	"testing"

	"gitea.dwysokinski.me/twhelp/dcbot/internal/domain"
	"github.com/stretchr/testify/assert"
)

func TestRequiredError(t *testing.T) {
	t.Parallel()

	err := domain.RequiredError{
		Field: "123",
	}
	var _ domain.UserError = err
	assert.Equal(t, err.Field+": cannot be blank", err.Error())
	assert.Equal(t, err.Error(), err.UserError())
	assert.Equal(t, domain.ErrorCodeValidationError, err.Code())
}
