package service

import (
	"context"

	"gitea.dwysokinski.me/twhelp/dcbot/internal/twhelp"
)

//go:generate counterfeiter -generate

//counterfeiter:generate -o internal/mock/twhelp_client.gen.go . TWHelpClient
type TWHelpClient interface {
	GetServer(ctx context.Context, version, server string) (twhelp.Server, error)
}
